<!DOCTYPE html>
<html>
  <head>
    <meta charset="utf-8">
    <meta name="viewport" content="width=device-width, initial-scale=1">
    <title>ECSMS - Assign Cards</title>
    <link href="https://maxcdn.bootstrapcdn.com/font-awesome/4.7.0/css/font-awesome.min.css" rel="stylesheet" integrity="sha384-wvfXpqpZZVQGK6TAh5PVlGOfQNHSoD2xbE+QkPxCAFlNEevoEH3Sl0sibVcOQVnN" crossorigin="anonymous">
    <link rel="stylesheet" href="https://maxcdn.bootstrapcdn.com/bootstrap/4.5.2/css/bootstrap.min.css">
    <script src="https://ajax.googleapis.com/ajax/libs/jquery/3.5.1/jquery.min.js"></script>
    <script src="https://maxcdn.bootstrapcdn.com/bootstrap/4.5.2/js/bootstrap.min.js"></script>       
    <link rel="stylesheet" href="style.css">    
  </head>
  <body>    

 <div class="container pb-5">
     
<!-- The navbar -->
<div id="include_navbar"></div>
      
<div class="card shadow-lg bg-white rounded">
    <div class="card-body">
<div class="row">
    <div class="col-sm-6">
        <div class="form-group">
            <label>Select an employee:</label>
            <select class="form-control" id="employee_list_assign" onchange="employee_list_assign_onchange();">
            <option value="none" selected disabled hidden> 
            Select an employee 
          </option>                 
            </select>
        </div>
    </div>
    <div class="col-sm-6">
        <div class="form-group">
            <label>Select a card id:</label>
            <select class="form-control" name="card_list_assign" id="card_list_assign">
            <option value="none" selected disabled hidden> 
            Select a card 
            </option>                 
            </select>
        </div>
    </div>
    </div>  
<div class="alert alert-info mt-3" role="alert" id="alert_changes_applied_assign">
  Card assigned!
</div>       
        <div class="pl-1 pt-1">
        <button class="btn btn-dark" type="button" id="submit_changes_assign_card" onclick="submit_card_assign();" >Submit Changes</button>   
        </div>    
</div>
</div>    

</div>

    <!-- JS -->

    <script src="/__/firebase/8.1.1/firebase-app.js"></script>   
    <!-- include only the Firebase features as you need -->
    <script src="/__/firebase/8.1.1/firebase-auth.js"></script>
    <script src="/__/firebase/8.1.1/firebase-firestore.js"></script>

    <!-- Initialize Firebase -->
    <script src="/__/firebase/init.js"></script> 

    <!-- Other -->
    <script src="main.js"></script> 
    
    <script>
        $("#include_navbar").load("/navbar.html", function() {          
        $(".nav-item a").removeClass("active");
        $(".nav-item a.assign_card_link").addClass("active");
        });    
    </script>
    
    <script>
    $("#card_list_assign").prop('disabled', true);
    $("#submit_changes_assign_card").prop('disabled', true);    
    fs_populate_card_list_assign()
    fs_populate_employee_list('employee_list_assign')
    </script>
 
  </body>
</html>